package com.qmth.sop.business.bean.result;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.swing.event.DocumentListener;
import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author dhshu
 * @since 2023-08-01
 */
@ApiModel(value = "TBDingAttendanceCountResult", description = "考勤打卡统计查询")
public class TBDingAttendanceCountResult implements Serializable {

    @ApiModelProperty(value = "考勤总计")
    Long total;
    @ApiModelProperty(value = "异常考勤")
    Long abnormal;
    @ApiModelProperty(value = "累计人天")
    Long allDays;
    @ApiModelProperty(value = "累计工时")
    Double allHours;

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public Long getAbnormal() {
        return abnormal;
    }

    public void setAbnormal(Long abnormal) {
        this.abnormal = abnormal;
    }

    public Long getAllDays() {
        return allDays;
    }

    public void setAllDays(Long allDays) {
        this.allDays = allDays;
    }

    public Double getAllHours() {
        return allHours;
    }

    public void setAllHours(Double allHours) {
        this.allHours = allHours;
    }
}
